/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 申请渠道咨询 POST /api/Promoter/CreateChannelConsultation */
export async function createChannelConsultation(
  body: API.CreateChannelConsultationInput,
  options?: API.RequestConfig
) {
  return request<string>('/api/Promoter/CreateChannelConsultation', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 新增回访 POST /api/Promoter/CreateChannelConsultationFollowup */
export async function createChannelConsultationFollowup(
  body: API.CreateChannelConsultationFollowupInput,
  options?: API.RequestConfig
) {
  return request<string>('/api/Promoter/CreateChannelConsultationFollowup', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 创建或更新推广员 POST /api/Promoter/CreateOrUpdatePromoter */
export async function createOrUpdatePromoter(
  body: API.CreateOrUpdatePromoterInput,
  options?: API.RequestConfig
) {
  return request<string>('/api/Promoter/CreateOrUpdatePromoter', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取渠道咨询列表 POST /api/Promoter/GetChannelConsultation */
export async function getChannelConsultation(
  body: API.GetChannelConsultationsInput,
  options?: API.RequestConfig
) {
  return request<API.ChannelConsultationDtoPageOutput>('/api/Promoter/GetChannelConsultation', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取渠道咨询Id GET /api/Promoter/GetChannelConsultationById */
export async function getChannelConsultationById(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetChannelConsultationByIdParams,
  options?: API.RequestConfig
) {
  return request<API.ChannelConsultationDto>('/api/Promoter/GetChannelConsultationById', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取渠道咨询回访记录 GET /api/Promoter/GetChannelConsultationFollowupList */
export async function getChannelConsultationFollowupList(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetChannelConsultationFollowupListParams,
  options?: API.RequestConfig
) {
  return request<API.ChannelConsultationFollowupDto[]>(
    '/api/Promoter/GetChannelConsultationFollowupList',
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 获取推广员信息 GET /api/Promoter/GetPromoter */
export async function getPromoter(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetPromoterParams,
  options?: API.RequestConfig
) {
  return request<API.PromoterDto>('/api/Promoter/GetPromoter', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取推广员列表 POST /api/Promoter/GetPromoters */
export async function getPromoters(body: API.GetPromotersInput, options?: API.RequestConfig) {
  return request<API.PromoterDtoPageOutput>('/api/Promoter/GetPromoters', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 点击数+1 POST /api/Promoter/SetClickCount */
export async function setClickCount(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIsetClickCountParams,
  options?: API.RequestConfig
) {
  return request<any>('/api/Promoter/SetClickCount', {
    method: 'POST',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}
